Package Gnumed :: Package wxpython :: Module gmDemographicsWidgets :: Class cNotebookedPatEditionPanel |
[frames] | no frames]

# Class cNotebookedPatEditionPanel

source code

                           wx.Panel --+
                                      |
    gmRegetMixin.cRegetOnPaintMixin --+
                                      |
                                     cNotebookedPatEditionPanel

Patient demographics plugin for main notebook.

Hosts another notebook with pages for Identity, Contacts, etc.

Acts on/listens to the currently active patient.

Instance Methods
__init__(self, parent, id) | source code
Inherited from `gmRegetMixin.cRegetOnPaintMixin`: `repopulate_ui`

Method Details

### __init__(self, parent, id) (Constructor) | source code
Overrides: gmRegetMixin.cRegetOnPaintMixin.__init__